@media (min-width: 1300px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 1250px;
    }

}

@media (min-width:1023px) {

    .navigation .menu ul li.menu-scroll ul.cs-dropdown {
        max-height: 350px;
        overflow-y: auto;
    }

    .navigation .menu ul li.menu-scroll ul.cs-dropdown::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        background-color: #f5f5f5;
    }

    .navigation .menu ul li.menu-scroll ul.cs-dropdown::-webkit-scrollbar {
        width: 7px;
        background-color: #f5f5f5;
    }

    .navigation .menu ul li.menu-scroll ul.cs-dropdown::-webkit-scrollbar-thumb {
        background-color: var(--pri);
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
    }

    .navigation .menu ul li.mg-li {
        position: static;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown.megaMenu {
        width: 90%;
        height: auto;
        max-height: 400px;
        overflow: hidden;
        overflow-y: auto;
        left: 50%;
        transform: translateX(-50%);
        border-radius: 5px;
        border: 1px solid #eaeaea;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown.megaMenu::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        background-color: #f5f5f5;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown.megaMenu::-webkit-scrollbar {
        width: 7px;
        background-color: #f5f5f5;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown.megaMenu::-webkit-scrollbar-thumb {
        background-color: var(--pri);
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown .megaSection {
        width: 100%;
        height: auto;
        margin: 0;
        padding: 0;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown .megaSection ul.megaSectionUl {
        width: 100%;
        height: auto;
        columns: 4;
        -webkit-columns: 4;
        -moz-columns: 4;
        padding-right: 5px;
        text-align: left;
        padding: 10px;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown .megaSection ul.megaSectionUl li {
        display: block;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown li:hover a {
        color: #fff;
        background: transparent;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown li a {
        padding: 7px 9px;
        width: 100%;
        display: block;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown li a span {
        font-weight: 600;
        color: var(--pri);
        font-size: 16px;
        
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown li a span:hover{
        text-decoration: underline;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown li a button {
        display: none;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown li ul.cs-dropdown {
        position: relative;
        display: block;
        width: 100%;
        left: 0;
        top: 100%;
        margin: 0 0 5px;
        box-shadow: none;
        opacity: 1;
        visibility: visible;
        max-height: 100%;
        overflow: visible;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown .megaSection ul.megaSectionUl li {
        display: block;
        border: 0;
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown li ul.cs-dropdown li a {
        font-size: 14px;
        padding: 5px 10px;
        color: var(--text-color);
    }

    .navigation .menu ul>li.mg-li ul.cs-dropdown li ul.cs-dropdown li a:hover {
        background: transparent;
        color: var(--pri);
        text-decoration: underline;
    }

    .desk-nav-hide {
        display: none !important;
    }

    .navigation .menu ul li.menu-scroll ul.cs-dropdown {
        max-height: 350px;
        overflow-y: auto;
    }

    .navigation .menu ul li.menu-scroll ul.cs-dropdown::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        background-color: #f5f5f5;
    }

    .navigation .menu ul li.menu-scroll ul.cs-dropdown::-webkit-scrollbar {
        width: 7px;
        background-color: #f5f5f5;
    }

    .navigation .menu ul li.menu-scroll ul.cs-dropdown::-webkit-scrollbar-thumb {
        background-color: var(--pri);
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
    }

    .navigation .menu ul li.menu-scroll ul.cs-dropdown::-webkit-scrollbar-thumb:hover {
        background-color: var(--dark-blue);
    }

    .navigation .menu ul li ul.cs-dropdown li ul.cs-dropdown {
        max-height: 280px;
        overflow-y: auto;
    }

    .navigation .menu ul li ul.cs-dropdown li ul.cs-dropdown::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        background-color: #f5f5f5;
    }

    .navigation .menu ul li ul.cs-dropdown li ul.cs-dropdown::-webkit-scrollbar {
        width: 7px;
        background-color: #f5f5f5;
    }

    .navigation .menu ul li ul.cs-dropdown li ul.cs-dropdown::-webkit-scrollbar-thumb {
        background-color: var(--pri);
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
    }

    .navigation .menu ul li ul.cs-dropdown li ul.cs-dropdown::-webkit-scrollbar-thumb:hover {
        background-color: var(--dark-blue);
    }

    .navigation .menu ul li.megaMenu {
        position: static;
    }

    .navigation .menu ul li ul.cs-dropdown.megaUl {
        width: 100%;
        max-width: 1200px;
        height: auto;
        max-height: 280px;
        overflow: hidden;
        overflow-y: auto;
        background-image: url(../images/bg/ul-bg.jpg);
        background-repeat: no-repeat;
        background-size: contain;
        background-position: top center;
        padding: 25px 35px;
        left: 50%;
        transform: translateX(-50%);
        /* display: block; opacity: 1; pointer-events: all; */
        columns: 4;
        -webkit-columns: 4;
        -moz-columns: 4;
        overflow: hidden;
        overflow-y: auto;
    }

    .navigation .menu ul li ul.cs-dropdown.megaUl::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(255, 255, 255, 0.4);
    }

    .navigation .menu ul li ul.cs-dropdown li.megaLi {
        display: inline-block;
        border: 0;
        font-family: var(--main-font);
        font-weight: 700;
        width: 100%;
    }

    .navigation .menu ul li ul.cs-dropdown li.megaLi ul.megaSub {
        display: block;
        position: relative;
        left: unset;
        margin: 0;
        width: 100%;
        box-shadow: none;
        padding: 5px 0;
        top: 0;
        opacity: 1;
        background-color: transparent;
    }

    .navigation .menu ul li ul.cs-dropdown li.megaLi ul.megaSub li a {
        color: #333;
        font-size: 14px;
        padding: 5px 0px;
        background: transparent;
    }

    .navigation .menu ul li ul.cs-dropdown li.megaLi ul.megaSub li a:hover {
        color: var(--pri);
        background: transparent;
        padding-left: 3px;
    }

    .navigation .menu ul li ul.cs-dropdown li.megaLi ul.megaSub li {
        border: none;
    }

    .navigation .menu ul li ul.cs-dropdown li.megaLi ul.megaSub li a::before {
        display: inline-block;
        margin-right: 0px;
        content: none;
    }

    .navigation .menu ul li ul.cs-dropdown li.megaLi a {
        font-family: var(--main-font);
        font-weight: 700;
        color: var(--text-color);
        font-size: 17px;
        background: transparent;
        padding: 10px 0px 10px;
    }

    .navigation .menu ul li ul.cs-dropdown li.megaLi a::before {
        content: '';
        position: absolute;
        left: 0px;
        bottom: 1px;
        border-bottom: 2px solid var(--pri);
        width: 30px;
    }

    .navigation .menu ul li ul.cs-dropdown li.megaLi button {
        display: none;
    }

    .navigation .menu ul li .all-categories {
        color: white !important;
        padding-left: 25px;
        padding-right: 17px;
        background-color: var(--pri) !important;
        border-radius: 4px 4px 0 0;
        margin-right: 10px;
    }

    .navigation .menu ul li .all-categories button svg {
        margin-left: 22px;
        margin-top: 0;
        color: white;
    }

    .menu ul li .all-categories svg {
        margin-right: 8px;
        margin-top: -2px;
        height: 20px;
        width: 20px;
        color: white !important;
    }
}
@media (max-width:1300px) {
        .navigation .menu ul li a {
    padding: 20px 5px;}
    .featured-icon-box.style1 {
    padding: 25px 5px 25px;}
}
@media (max-width:1200px) {
    .video-sec .content-bx {
        position: unset;
        transform: none;
        margin-top: 30px;
        max-width: 100%;
    }
    .navigation .menu ul li a {
        padding: 20px 2px;
        font-size: 14px;
    }
}

@media (max-width:1023px) {
    .menubar {
        position: relative;
    }
header .btn-grp.d-flex.justify-content-end.gap-3.align-items-center {
    position: absolute;
    right: 85px;
    top: 10px;
}
.counter-sec2 .tt { 
    font-size: 25px; 
}
.features .feature-panel-holder .feature-panel { 
    margin-bottom: 15px;}
.features .features-holder { 
    grid-template-columns: 1fr 1fr 1fr; 
}
.counter-sec2 .btm-bar a.eq-btn.ms-md-5 {
    margin-top: 10px;
    margin-left: 10px !important;
    display: inline-block;
}
    .menubar .logo {
           display: block;
        position: absolute;
        max-width: 250px;
        top: 5px;
        left: 13px;
        z-index: 1;
    }
.features .features-card .card-panel { 
    display: block;
    text-align: center;}
    .navigation {
        padding: 10px 0;
        width: 100%;
        position: relative;
        text-align: right;
    }
.features .features-card .card-panel.reversed .panel-icon {
    margin-right: auto;
    margin-left: auto;
    display: block;}
    .features .features-card {
     transform: inherit;
    margin-top: 0px; 
    padding-bottom: 40px;
}
.col-md-5c {
    width: 33%; 
}
.masonry .item img { 
    width: 100%;
}
.single-item.p-3.pt-5.shadow.corner.text-center.position-relative.h-100.bg-white.mb-lg-0.mb-5 {
    margin-top: 30px;
}
    .navigation .navbar {
        display: block;
        width: 100%;
        padding: 2px 0;
    }

    .navigation .menu {
        display: none;
        width: 100%;
        overflow: hidden;
        overflow-y: visible;
        position: relative;
        z-index: 9999;
        max-height: 480px;
        overflow-y: auto;
        position: absolute;
        top: 100%;
        background: var(--sec);
        left: 0;
        right: 0;
        text-align: left;
    }

    .navigation .menu ul li {
        padding: 0;
        width: 100%;
        display: block;
    }

    .navigation .menu ul li a {
        padding: 9px 15px;
        text-align: left;
        font-size: 14px;
        border-right: 1px dashed transparent;
        color: #fff;
        border-bottom: 1px solid #333;
        display: block;
    }

    .navigation .menu ul li.active a,
    .navigation .menu ul li:hover a {
        color: white;
    }

    .navigation .menu ul li ul.cs-dropdown {
        position: relative !important;
        opacity: 1 !important;
        visibility: visible !important;
        top: auto !important;
        left: auto !important;
        padding-left: 20px;
        padding-right: 20px;
        padding-bottom: 20px;
        width: 100%;
        display: none;
        transition: none !important
    }

    .navigation .menu ul li ul.cs-dropdown,
    .navigation .menu ul li ul.cs-dropdown li .cs-dropdown {
        padding-top: 0;
        padding-left: 0;
        padding-bottom: 0;
        display: none;
        transition: none;
        padding-right: 0;
        width: 100%;
        background: transparent
    }

    .navigation .menu ul .cs-submenu a {
        position: relative
    }

    .navigation .menu ul li.cs-submenu a button {
        display: block;
        position: absolute;
        top: 0px;
        right: 15px;
        background: transparent;
        border: 0;
        color: #fff;
        font-size: 16px;
        height: 30px;
        outline: none;
        width: 30px;
        padding: 0;
        text-align: center;
        line-height: 18px
    }

    .navigation ul li.cs-submenu a button svg {
        width: 16px;
        height: 16px;
    }

    .navigation ul li.cs-submenu a button.rotated svg {
        transform: rotateZ(180deg);
        color: white;
    }

    .navigation ul li.cs-submenu:hover svg {
        color: white;
    }

    .navigation ul li.cs-submenu:hover svg {
        transform: rotateZ(0deg);
    }

    .navigation ul li.cs-submenu ul.cs-dropdown li a button svg {
        transform: rotateZ(0deg);
        color: #fff;
    }

    .navigation ul li.cs-submenu:hover ul.cs-dropdown li.cs-submenu svg{
        color: white;
    }

    .navigation ul li.cs-submenu ul.cs-dropdown li a button.rotated svg {
        transform: rotateZ(180deg);
    }

    .navigation .menu ul li ul.cs-dropdown,
    .navigation .menu ul li ul.cs-dropdown li .cs-dropdown li .cs-dropdown {
        padding-top: 0;
        padding-left: 0;
        padding-bottom: 0;
        display: none;
        transition: none;
        padding-right: 0;
        width: 100% !important;
        background: #444
    }

    .navigation .menu ul li ul.cs-dropdown li ul.cs-dropdown {
        left: 100%;
        margin-top: 0
    }

    .navigation .menu ul li ul.cs-dropdown li ul.cs-dropdown li ul.cs-dropdown {
        left: -100%;
        margin-top: 0
    }

    .navigation .menu ul li ul.cs-dropdown li {
        border-bottom: 0
    }

    .navigation .menu ul li ul.cs-dropdown li a {
        color: #fff;
        display: block;
        font-size: 14px;
        padding: 7px 15px;
        line-height: normal;
        border-bottom: 1px solid #d9a922;
        background: #ddaf2f;
    }

    .navigation .menu ul li ul.cs-dropdown li:hover a{
        background: #ddaf2f;
    }

    .navigation .menu ul li ul.cs-dropdown li ul.cs-dropdown li a, .navigation .menu ul li ul.cs-dropdown li:hover ul.cs-dropdown li a:hover {
        background: white;
        color: var(--text-color);
        border-bottom: 1px solid #e3e3e3;
    }
    

    .mobile_hide {
        display: none !important;
    }



    .navigation .menu ul li:hover ul.cs-dropdown {
        display: none;
    }

    .navigation .menu ul li ul.cs-dropdown li:hover ul.cs-dropdown {
        display: none;
    }

    .swiper-button-next,
    .swiper-button-prev,
    .swiper-next,
    .swiper-prev {
        width: 30px;
        height: 30px;
    }

    .swiper-button-next,
    .swiper-next {
        right: -10px;
        left: auto;
    }

    .swiper-button-prev,
    .swiper-prev {
        left: -10px;
        right: auto;
    }

    .swiper-button-next:after,
    .swiper-button-prev:after {
        font-size: 12px;
    }
}

@media (max-width:992px) {
    .fect-icon-bx{
        border: 0;
    }

    .copyright {
        margin-top: 10px;
        padding: 10px 0;
    }

    .copyright p {
        font-size: 14px;
    }

    .ft-bx.light {
        padding-bottom: 30px;
        background: #f7f7f7;
    }

    .ft-bx.light::before {
        right: -100%;
        width: auto;
        pointer-events: none;
        background: #f7f7f7 ;
    }

    .ft-bx {
        padding-bottom: 20px;
    }

    .mid-banner {
        background: #fcf6ea;
    }

    .mid-banner .content-bx {
        padding-top: 35px;
        padding-bottom: 30px;
    }

    .mid-banner .content-bx p {
        margin-bottom: 0;
    }

    .shop-sec{
        padding: 30px 0;
    }

    .blog-sec{
        padding: 40px 0;
    }

    .top-bar {
        padding: 12px 0;
    }

    .top-bar ul {
        justify-content: center;
    }

    .head-sec {
        margin-bottom: 30px;
    }

    .testimonial-container{
        aspect-ratio: unset;
        border-radius: 2px;
    }

    .testimonial-row{
        max-width: 100%;
    }
}
@media (max-width:767px) {
header .btn-grp.d-flex.justify-content-end.gap-3.align-items-center {
        position: absolute;
        right: 115px;
        top: 10px;
    }
    .abt-tx.about-sec {
    width: 100%;
    float: left;
    margin-top: 20px;
}
    .approach.services_feature.company-core-value.py-5.w-100.mt-lg-5.float-start .rowfff.mt-5 {
    margin-top: 0px !important;
}
    header .btn-grp.d-flex.justify-content-end.gap-3.align-items-center { 
        right: 21%; 
    }
    .abt-img-bx.mb-0 {
    max-width: 100%;
    margin-bottom: 10px;
    padding-bottom: 15px;
}
.col-md-5c {
        width: 50%;
    }
    .pr-silder1 .position-absolute.translate-middle-x.start-50.top-d0.w-100.rounded-circle.text-center {
        bottom: -45% !important;
    }
.team-sectionsd .pr-silder1 .position-absolute.stu-pic.top-40.start-50.translate-middle.z-index-999 {
        margin-top: 16vh;
    }
.team-sectionsd .pr-silder1 .h-400 {
    height: 60vh;
}
.pr-silder1 .position-absolute.translate-middle-x.start-50.top-d0.w-100.rounded-circle.text-center {
   bottom: 0px;
}
.pr-silder1 .position-absolute.translate-middle-x.start-50.top-d0.w-100.rounded-circle.text-center {
        display: none;
    }
    header .btn-grp.d-flex.justify-content-end.gap-3.align-items-center {
        display: none !important;
    }
.pr-silder1 .position-absolute.stu-pic.top-40.start-50.translate-middle.z-index-999 {
    margin-top: 14%;}
.features .features-card { 
        display: block;
    }
    .card-panel.reversed {
    margin-bottom: 15px;
}
   .masonry {
    -webkit-column-count:2;
    -moz-column-count: 2;
    column-count: 2;}
.features .features-holder {
        grid-template-columns: 1fr 1fr;
    }
}
@media (max-width:680px) {
    .mb-3.d-flex.text-muted.d-block.justify-content-between.align-items-center {
    display: flex
;
    flex-wrap: wrap;
}
       .head-top-bar {
         display: block;
         overflow: hidden;
         white-space: nowrap;
         box-sizing: border-box;
         }
         .head-top-bar div {
         display: inline-block;
         padding-left: 100%;
         animation: marquee 20s linear infinite;
         }
         @keyframes marquee {
         from { transform: translateX(0); }
         to { transform: translateX(-100%); }
         }
         .video-sec.client-sec .col-lg-6.col-12 {
    margin-top: 15px;
}
.row-cols-2>* {
    flex: 0 0 auto;
    width: 100%;
}
.counter-sec2 .tt {
        font-size: 22px;
    }
    .counter-bx2 .title { 
    font-size: 25px;
    line-height: 40px;
}
.counter-sec2 { 
    background: #c9252a;
}
.client-img { 
    background: #fff;
}
.blog-bx .tx-bx .tt a { 
    -webkit-line-clamp: 5; 
}
footer .col-lg-3.col-md-6.col-6 {
    width: 100%;
}
footer .col-lg-4.col-md-6.col-6 {
    width: 100%;
}
.features .features-holder {
        grid-template-columns: 1fr;
    }
    .approach.company-core-value.py-5.w-100.mt-5.float-starte {
    margin-top: 0px !important;
}
.pr-silder1 .h-40 {
    height: 30%;
}
.pr-silder1 .position-absolute.stu-pic.top-40.start-50.translate-middle.z-index-999 {
        margin-top: 20%;
    }
    .col-md-5c {
        width: 100%;
    }
    .team-sectionsd .pr-silder1 .position-absolute.stu-pic.top-40.start-50.translate-middle.z-index-999 {
        margin-top: 15vh;
    }
    .container-fluid.px-5 {
    padding: 0px 15px !important;
}
.default-form-area.p-4.rounded-3.shadow.text-center.border-bottom.border-3.border-sky.bg-white {
    padding: 15px !important;
}
.head-sec .tt { 
    font-size: 22px;}
         .abt-tx .main-tt { 
    font-size: 20px;}
.form-check.fs-13.text-start.d-flex.justify-content-start.mb-0.w-100.mx-1.align-items-center.p-0 {
        width: 100% !important;
        margin-bottom: 10px !important;
    }
    .ft-bx .logo {
    max-width: 270px;
}
.container-fluid.px-5 {
        padding: 0px 25px !important;
    }
    .single-item.p-3.pt-5.shadow.corner.text-center.position-relative.h-100.bg-white.mb-lg-0.mb-5 {
        margin-top: 0px;
        height: auto !important;
        margin-bottom: 0px !important;
    }
    .default-form-area.p-4.rounded-3.shadow.text-center.border-bottom.border-3.border-sky.bg-white {
         margin-bottom: 30px;
    }
    .masonry {
    -webkit-column-count:1;
    -moz-column-count: 1;
    column-count: 1;}
 
}
@media (max-width:480px) {
    .video-sec .content-bx {
        padding: 30px 20px;
    }

    .breadcum-sec{
        padding: 40px 0;
    }

    .breadcum-sec .main-tt{
        font-size: 20px;
        margin-bottom: 5px;
    }
}